/*
 * Evolution.h
 *
 *  Created on: 2013-03-17
 *      Author: Kamil
 */

#ifndef EVOLUTION_H_
#define EVOLUTION_H_

#include "Population.h"
#include "Individual.h"
#include <fstream>
#include <cstdlib>
using namespace std;

class Evolution
{
private:
	Population* P;

	int maxloops;
	int currentloop;
	bool expired;

	ofstream* outstream;

	static const int defaultmaxloops = 100;
	static const int defaultsize = 1000;
	static const int defaultindsize = 10;

	Evolution& operator=(const Evolution&);
	Evolution(const Evolution&);

public:
	Evolution();
	Evolution(int size, int indsize = 10, int loops=100);
	~Evolution();

	void Loop();

	void outputCSV();
	void outputScreen();
};


#endif /* EVOLUTION_H_ */
